{
  modulesPath,
  pkgs,
  ...
}:

{
  imports = [ (modulesPath + "/virtualisation/qemu-vm.nix") ];

  fediversity = {
    enable = true;
    domain = "localhost";
    peertube.enable = true;

    temp.peertubeSecretsFile = pkgs.writeText "secret" ''
      574e093907d1157ac0f8e760a6deb1035402003af5763135bae9cbd6abe32b24
    '';
  };

  services.peertube = {
    settings = {
      listen.hostname = "0.0.0.0";
      instance.name = "PeerTube Test VM";
    };
  };

  virtualisation.forwardPorts = [
    {
      from = "host";
      host.port = 9000;
      guest.port = 9000;
    }
  ];
}
